package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 检验项目
 */
@Entity
@Table(name = "qc_item")
public class QcItemEntity {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "qc_item_seq_gen")
    @SequenceGenerator(name = "qc_item_seq_gen", sequenceName = "qc_item_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 创建时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String createTime;

    /**
     * 更新时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String updateTime;

    /**
     * 编号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String no;

    /**
     * 名称
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String name;

    /**
     * 类型
     * "0":文本格式
     * "1":图片格式
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String type;

    public QcItemEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "QcItemEntity{" + "id=" + id + ", createTime='" + createTime + '\'' + ", updateTime='" + updateTime + '\'' + ", no='" + no + '\'' + ", name='" + name + '\'' + ", type='" + type + '\'' + '}';
    }
}
