package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * 检验数据
 */
@Entity
@Table(name = "qc_source")
public class QcSourceEntity {

    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "qc_source_seq_gen")
    @SequenceGenerator(name = "qc_source_seq_gen", sequenceName = "qc_source_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 创建时间
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String createTime;

    /**
     * 批次号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String batchNo;

    /**
     * 机器号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String machineNo;

    /**
     * 物料号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String materialNo;

    /**
     * 模具号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String mouldNo;

    /**
     * 机种号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String varietyNo;

    /**
     * 检验项目编号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String qcItemNo;

    /**
     * 数值
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String qcValue;

    public QcSourceEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getMouldNo() {
        return mouldNo;
    }

    public void setMouldNo(String mouldNo) {
        this.mouldNo = mouldNo;
    }

    public String getVarietyNo() {
        return varietyNo;
    }

    public void setVarietyNo(String varietyNo) {
        this.varietyNo = varietyNo;
    }

    public String getQcItemNo() {
        return qcItemNo;
    }

    public void setQcItemNo(String qcItemNo) {
        this.qcItemNo = qcItemNo;
    }

    public String getQcValue() {
        return qcValue;
    }

    public void setQcValue(String qcValue) {
        this.qcValue = qcValue;
    }

    @Override
    public String toString() {
        return "QcSourceEntity{" + "id=" + id + ", createTime='" + createTime + '\'' + ", batchNo='" + batchNo + '\'' + ", machineNo='" + machineNo + '\'' + ", materialNo='" + materialNo + '\'' + ", mouldNo='" + mouldNo + '\'' + ", varietyNo='" + varietyNo + '\'' + ", qcItemNo='" + qcItemNo + '\'' + ", qcValue='" + qcValue + '\'' + '}';
    }
}
