package com.xkrs.model.qo;

import com.xkrs.model.va.QcSourceQoInsertVa;

import javax.validation.constraints.NotBlank;

/**
 * 新增检验数据接收类
 */
public class QcSourceQoInsert {

    /**
     * 批次号
     */
    @NotBlank(message = "{QcSourceEntity.batchNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String batchNo;

    /**
     * 机器号
     */
    @NotBlank(message = "{QcSourceEntity.machineNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String machineNo;

    /**
     * 物料号
     */
    @NotBlank(message = "{QcSourceEntity.materialNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String materialNo;

    /**
     * 模具号
     */
    @NotBlank(message = "{QcSourceEntity.mouldNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String mouldNo;

    /**
     * 机种号
     */
    @NotBlank(message = "{QcSourceEntity.varietyNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String varietyNo;

    /**
     * 检验项目编号
     */
    @NotBlank(message = "{QcSourceEntity.qcItemNo.blank}", groups = {QcSourceQoInsertVa.class})
    private String qcItemNo;

    /**
     * 数值
     */
    private String qcValue;

    public QcSourceQoInsert() {
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getMouldNo() {
        return mouldNo;
    }

    public void setMouldNo(String mouldNo) {
        this.mouldNo = mouldNo;
    }

    public String getVarietyNo() {
        return varietyNo;
    }

    public void setVarietyNo(String varietyNo) {
        this.varietyNo = varietyNo;
    }

    public String getQcItemNo() {
        return qcItemNo;
    }

    public void setQcItemNo(String qcItemNo) {
        this.qcItemNo = qcItemNo;
    }

    public String getQcValue() {
        return qcValue;
    }

    public void setQcValue(String qcValue) {
        this.qcValue = qcValue;
    }

    @Override
    public String toString() {
        return "QcSourceQoInsert{" + "batchNo='" + batchNo + '\'' + ", machineNo='" + machineNo + '\'' + ", materialNo='" + materialNo + '\'' + ", mouldNo='" + mouldNo + '\'' + ", varietyNo='" + varietyNo + '\'' + ", qcItemNo='" + qcItemNo + '\'' + ", qcValue='" + qcValue + '\'' + '}';
    }
}
